Bug 1014816 - authconfig --disablessd doesn't remove sss from services line
authconfig --disablessd doesn't remove sss from services line
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On: 1014815
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 16:43 EDT by David Spurek
Modified: 2015-03-02 00:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1014815
Environment:
Last Closed: 2014-05-05 08:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-10-02 16:43:41 EDT
authconfig-6.1.12-13.el6


+++ This bug was initially created as a clone of Bug #1014815 +++

Description of problem:
authconfig --disablessd doesn't remove sss from services line

[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]
# cat /etc/nsswitch.conf | grep "^services:.*sss"
services:   files sss
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]# authconfig --disablesssd --update
Boolean authlogin_nsswitch_use_ldap is not defined
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]# cat /etc/nsswitch.conf | grep "^services:.*sss"
services:   files sss
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]

Version-Release number of selected component (if applicable):
authconfig-6.2.7-1.el7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Tomas Mraz 2014-05-05 08:15:08 EDT
This is just unsupported configuration. To override you can use authconfig --updateall which will forcibly overwrite all configuration files.

Note You need to log in before you can comment on or make changes to this bug.